#!/sbin/sh

set -x
THEME="$1"
THEME_ROOT="/sdcard/OpenRecovery/Themes"
THEME_SYSTEM="$THEME_ROOT/$THEME/system"
LMF_ROOT="/sdcard/OpenRecovery/LMF"
LMF_BACKUP="$LMF_ROOT/backup"
set +x

	mount /system
	mount /data
	if [ -f "/data/local/bootanimation.zip" ]
	then
		rm -f /data/local/bootanimation.zip
	fi
	cp -f $LMF_BACKUP/system/framework/services.jar /system/framework/services.jar
	chmod 644 /system/framework/services.jar
	cp -f $LMF_BACKUP/system/framework/framework-res.apk /system/framework/framework-res.apk
	chmod 644 /system/framework/framework-res.apk

	for APK in "$THEME_SYSTEM/app/"*.apk; do
		BASE_APK="$(basename $APK)"
		rm -f /system/app/$BASE_APK
	done

	for APK2 in "$THEME_SYSTEM/app/"*.apk; do
		BASE_APK2="$(basename $APK2)"
		cp -f $LMF_BACKUP/system/app/$BASE_APK2 /system/app/$BASE_APK2
		chmod 644 /system/app/$BASE_APK2
	done
	umount /system
	umount /data
